Take the 2-minute tour ×
WordPress Development Stack Exchange is a question and answer site for WordPress developers and administrators. It's 100% free, no registration required.

Hi to all I made a wordpress plugin amtythumb post. All previous versions are reflected at worpress SVN within some hours. But this time 5.5 version of my plugin is not being reflected on wordpress plugin site even after 3-4 days.

just check wordpress plugin site wordpress.org/extend/plugins/amty-thumb-recent-post/ And SVN for confirmation, http://plugins.svn.wordpress.org/amty-thumb-recent-post/amty-thumb-recent-post/tags/.

Please let me know what to do...

share|improve this question

1 Answer 1

up vote 5 down vote accepted

@articlestack

According to the trac revision log you added a new directory under your root with the same name as the plugin. It looks like your whole root directory got copied to the new directory because it contains all the tagged versions and trunk. The plugin bot will not be able to find your newly tagged version unless it's in trunk or the new version is tagged in root/tags.

You can fix it by moving 5.5 back into the root tags dir.

my-local-dir/$ svn cp amty-thumb-recent-post/trunk tags/5.5

then delete the extra dir

my-local-dir/$ svn del ampty-thumb-recent-post

and check it back in

my-local-dir/$ svn ci -m "tagging version 5.5"

alt text

share|improve this answer
    
Thanks Chris!! I really did a very silly mistake. –  articlestack Sep 21 '10 at 11:36
    
@articlestack thats not a silly mistake. SVN can be confusing until get the hang of it. I added all the details so it might help others who run into similar issues. Since this worked for you please accept the answer so it will be added to our pool of answered questions. –  Chris_O Sep 21 '10 at 19:20
    
I had done with all changes on root. But i dint delete amty-thumb-recent directory which i created inside. do i need to del it? because changes are still not reflected –  articlestack Sep 22 '10 at 9:52
    
The readme file says 5.5 but amtyThumb_posts.php says version 5.0 in both trunk and tags/5.5 check out trunk again from the svn then make sure everything is the right version then svn cp it over tags/5.5 then check it back in. –  Chris_O Sep 22 '10 at 10:13

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.